import React, { useState, useEffect } from "react";
import Link from "next/link";
import "@/stylesheets/navbar.scss";

const Navbar = () => {
  const [navBackground, setNavBackground] = useState({
    backgroundColor: "transparent",
  });
  useEffect(() => {
    document.addEventListener("scroll", (event) => {
      if (window.scrollY < 10) {
        setNavBackground({ backgroundColor: "transparent" });
      } else {
        setNavBackground({ backgroundColor: "#232323" });
      }
    });
  }, []);

  return (
    <div className="navbar" style={navBackground}>
      <Link className="navbar-logo" href="/">
        ITR
      </Link>
      <div className="navbar-links">
        <Link className="navbar-link" href="/">
          🏠 Home
        </Link>
        <Link className="navbar-link" href="/about">
          ❓ About
        </Link>
        <Link className="navbar-link" href="/projects">
          🤖 Projects
        </Link>
        <Link className="navbar-link" href="/gallery">
          📸 Gallery
        </Link>
      </div>
      <div className="navbar-hamburger">≡</div>
    </div>
  );
};

export default Navbar;
